Page MenuHomePhabricator

[mlir][linalg] Improve codegen when tiling PadTensor evenly
ClosedPublic

Authored by springerm on Jul 6 2021, 10:55 PM.

Details

Summary

Produce simpler IR with more static type information and fewer affine expressions.

Depends On D105529

Diff Detail

Event Timeline

springerm created this revision.Jul 6 2021, 10:55 PM
springerm requested review of this revision.Jul 6 2021, 10:55 PM
nicolasvasilache accepted this revision.Jul 7 2021, 12:57 PM
This revision is now accepted and ready to land.Jul 7 2021, 12:57 PM
This revision was landed with ongoing or failed builds.Jul 14 2021, 7:42 PM
This revision was automatically updated to reflect the committed changes.